<template>
    <div>
        <h1>Demande d'inscription à un club</h1>
        <select class="uk-select" v-model="clubSelectionne">
            <option v-for="club in clubs" :key="club.id" v-bind:value="club.id">
                {{ club.nom }}
            </option>
        </select>
        <button class="uk-button uk-button-default" @click="envoyerDemande()">
            Faire la demande
        </button>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import UIkit from 'uikit';
import Axios from '@/auth/axiosAuth';
import Component from 'vue-class-component';
@Component
export default class DemandeInscription extends Vue {
    private clubs: any[] = [];
    private clubSelectionne = '';

    beforeRouteEnter(to, from, next) {
        next(vm => Axios.get('club/', response => (vm.clubs = response.data)));
    }

    private envoyerDemande() {
        const formData = new FormData();
        formData.append('idEleve', this.$auth.user.id);
        formData.append('idClub', this.clubSelectionne);
        Axios.put(
            'gestionclub/demande/',
            response =>
                UIkit.notification('Votre demande a été prise en compte', {
                    status: 'success'
                }),
            formData,
            error =>
                UIkit.notification(error.response.data.message, {
                    status: 'danger'
                })
        );
    }
}
</script>
